Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 3 sur 3
  1. #1
    Nouveau Membre du Club
    Homme Profil pro Eric
    chercheur
    Inscrit en
    décembre 2012
    Messages
    103
    Détails du profil
    Informations personnelles :
    Nom : Homme Eric
    Localisation : France

    Informations professionnelles :
    Activité : chercheur

    Informations forums :
    Inscription : décembre 2012
    Messages : 103
    Points : 26
    Points
    26

    Par défaut problème installation windows Code::Blocks

    Bonjour,

    J'ai beau batailler dans tous les sens. Impossible de poser GTK+ avec Code::Blocks (Windows 7). La version de Code::Blocks que j'ai posée est la 12.11, la version de GTK+ est la 2.24 (ces deux versions sont les dernières en date).

    J'ai bien consulté la FAQ (notamment pour l'instal) (http://gtk.developpez.com/faq/?page=...S_installation), celle-ci indique de consulter l'address suivante: http://blog.developpez.com/index.php...&c=1&tb=1&pb=1) qui ne marche pas!!

    Bref, je me suis ballader sur pas mal de pages web (beaucoup de gens ont des problèmes d'instal apparement!). La procédure devrait être simple: il suffit de décompresser le bundle GTK dans la racine de MinGW. Le poblème est que cette racine contiend (évidement) des directories "lib", "bin", "include", etc.) et que le bundle GTK en contient aussi. Je n'ai pas l'impression qu'il faille écraser ceux natifs du compilateur par ceux de la library GTK.

    Quelqu'un aurait-il une idée?

    D'avance merci pour toute aide sur ce point!

    Eric.

  2. #2
    Membre Expert
    Homme Profil pro
    Développeur informatique
    Inscrit en
    juin 2009
    Messages
    1 132
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Industrie

    Informations forums :
    Inscription : juin 2009
    Messages : 1 132
    Points : 1 486
    Points
    1 486

    Par défaut

    La FAQ m'a l'air bien obsolète. Même la la version de GTK liée est trop ancienne (2.8). Le plus simple reste d'utiliser les bundles tout en un fournis par gtk.org. Pour ce qui est de l'intégration à Code::Blocks, désolé je n'en sais rien. Mais j'ai déjà fait du GTK sous Windows avec MinGW, je n'avais eu qu'à mettre le dossier bin de GTK dans le PATH Windows et ça roulait. Il y a un readme dans le bundle qui décrit ce qu'il y a à faire.

  3. #3
    Nouveau Membre du Club
    Homme Profil pro Eric
    chercheur
    Inscrit en
    décembre 2012
    Messages
    103
    Détails du profil
    Informations personnelles :
    Nom : Homme Eric
    Localisation : France

    Informations professionnelles :
    Activité : chercheur

    Informations forums :
    Inscription : décembre 2012
    Messages : 103
    Points : 26
    Points
    26

    Par défaut

    Citation Envoyé par liberforce Voir le message
    La FAQ m'a l'air bien obsolète. Même la la version de GTK liée est trop ancienne (2.8). Le plus simple reste d'utiliser les bundles tout en un fournis par gtk.org. Pour ce qui est de l'intégration à Code::Blocks, désolé je n'en sais rien. Mais j'ai déjà fait du GTK sous Windows avec MinGW, je n'avais eu qu'à mettre le dossier bin de GTK dans le PATH Windows et ça roulait. Il y a un readme dans le bundle qui décrit ce qu'il y a à faire.
    Ok, ca marche super à présent. Merci!

    Eric.

+ Répondre à la discussion
Cette discussion est résolue.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •